/**
 * <copyright>
 * </copyright>
 *
 * $Id: StructureMapValidator.java,v 1.1 2008-04-01 09:35:34 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import orgomg.cwm.analysis.olap.DimensionDeployment;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.StructureMap}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface StructureMapValidator {
	boolean validate();

	boolean validateDimensionDeployment(DimensionDeployment value);
	boolean validateDimensionDeploymentLV(DimensionDeployment value);
	boolean validateDimensionDeploymentIP(DimensionDeployment value);
}
